HoloLens and Unity 2017.1

Anyone have any success building their HoloLens project on 2017.1? I'm really excited about .net 4.6, but am seeing compiler errors when I try to build:

UnityEditor.BuildPlayerWindow+BuildMethodException: Build failed with errors.
at UnityEditor.BuildPlayerWindow+DefaultBuildMethods.BuildPlayer (BuildPlayerOptions options) [0x001b9] in C:\buildslave\unity\build\Editor\Mono\BuildPlayerWindowBuildMethods.cs:162
at UnityEditor.BuildPlayerWindow.CallBuildMethods (Boolean askForBuildLocation, BuildOptions defaultBuildOptions) [0x00050] in C:\buildslave\unity\build\Editor\Mono\BuildPlayerWindowBuildMethods.cs:83
UnityEditor.HostView:OnGUI()

Curious to hear if others have had any issues?

I don't believe I have seen this before, did you upgrade your project? Also, have you tried building to a fresh folder?

UPDATE: I found someone reporting a similar issue. Indeed, the problem was solved by reloading my project in 5.6.1 and then reloading it again in 2017.1.

But then I hit another exception: matEditor.BeginAnimatedCheck(scaleOffsetProp); Adding "new Rect()" worked.

Finally, a third exception: "error CS1704: An assembly with the same name `UnityEngine.UI' has already been imported." Deleting my Library folder solved the problem.

And now I'm up and running.

Wow, that seems like a weird update issue, would you mind filling a bug on the issue?

I notice the same issue with my steamvr project. I've upgraded it from 5.6.1f1 to 2017.1.0f3

Did you find a solution ?